flowblade, mirage and other python-gtk2 applications crashing in debian

version
-------
flowblade    = 1:0.12.0-dmo1
mirage       = 0.9.5.1-3
python-gtk2  = 2.24.0-4 
debian       = jessie/sid 

how to reproduce
----------------
launch on the CLI
mirage or flowblade

you will get:
-------------
"""Attempt to unlock mutex that was not locked
Aborted"""


ugly fix:
---------

search:
"gtk.gdk.threads_init"
(example vim /usr/lib/python2.7/dist-packages/mirage.py, line 74)

replace by:
gtk.gdk.threads_init()
gtk.gdk.threads_enter()


source:
-------
https://bugs.mageia.org/show_bug.cgi?id=13776

One thought on “flowblade, mirage and other python-gtk2 applications crashing in debian”

  1. Just thought I’d let you know it was useful to me today when mirage would not launch. Thanks for sharing!

Leave a Reply

Your email address will not be published. Required fields are marked *